netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
ldap_pref Struct Reference

`#include <ldapconfig.h>`

## Data Fields
const void * | pref
char * | name
int | strorint
int | intfromarray
int | valid
int | valid_save

## Field Documentation

## ◆ intfromarray

int ldap_pref::intfromarray

convert to int, but use string to int mapping array pref_array[]

## ◆ name

char* ldap_pref::name

## ◆ pref

const void* ldap_pref::pref

## ◆ strorint

int ldap_pref::strorint

string to just store in char * or convert to int ?

## ◆ valid

int ldap_pref::valid

-1 = mandatory, 0 = omittable/valid

## ◆ valid_save

int ldap_pref::valid_save

copy of 'valid', used when resettting config

The documentation for this struct was generated from the following file:

- ldapconfig.h